=========================
Welcome to Freeciv 2.5.10
=========================

The changes in the 2.5.x series are summarised below.
For changes prior to 2.5, see NEWS. For more detailed changes,
see the ChangeLog file.


CHANGES FROM 2.5.9 to 2.5.10
----------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.10>)

   2.5.10 is a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * Fix server crashes caused by AI ferry passengers dying. HRM#721949
       HRM#714453
     * Client/server communication could fail when the client discovered a
       tile with a text label that was too long. (This could be
       locale-dependent.) HRM#720199
     * The cost to buy "small wonders" (such as the Palace) was
       unintentionally twice what was intended. (This was a longstanding
       issue.) HRM#706727
     * Capturing a unit did not count for cancelling the capturer's
       fortified status, nor for unitwaittime. HRM#692282
     * The tutorial scenario's message about city growth to size 13
       referenced a nonexistent event type. Possibly this was causing "lua
       error" messages. HRM#723052
     * Minor nation tweaks. HRM#697681 HRM#697682

Changes affecting other rulesets / modders

     * The values of Lua variables could fail to be loaded from savegames,
       if some of the saved variables referenced game objects (units,
       cities, etc). HRM#722287

Changes affecting server operators

     * The /fcdb command now gives a useful error message if the server
       wasn't started with --auth. HRM#692525

General

     * Sped up shared vision transfers; this helps particularly when
       loading savegames. HRM#723442
     * Various internal changes which should only affect developers.
       HRM#692486 HRM#694137 HRM#661108 HRM#718497

AI

     * Autosettlers were overvaluing roads on hex maps, and built them in
       odd patterns for no good reason. HRM#695738

Clients

     * The "Turn Done" button is now disabled in fixed-length gameplay,
       since it serves no purpose. HRM#700675
     * Messages from the server operator (/wall) now default to causing a
       pop-up dialog, for new client installations. (Such messages can be
       used for instance to warn of server shutdown; without this setting,
       it was not possible to see the message after the server
       disconnected.) HRM#690212
     * Fixes to the experimental Gtk3 client:
          + In the Windows build, right-click-dragging on the map caused a
            crash. HRM#693241
          + The minimap didn't update often enough. HRM#697658
          + Trouble and console warnings with middle-click popups,
            tooltips, etc. HRM#699488 HRM#703869
          + Fix trouble with tooltip background in some Windows builds
            (but not the one we ship). HRM#694328

Help / Documentation

     * Miscellaneous improvements to in-game text and user documentation.
       HRM#700718 HRM#700291
     * Miscellaneous changes to developer/ruleset docs. HRM#696433
       HRM#700290

Translations

     * Updated translations:
          + Complete translations: Russian, French, Spanish, Catalan,
            Polish, British English.
          + Incomplete translations: Finnish (100% core, 93% nations),
            Esperanto (40% core, 14% nations).


CHANGES FROM 2.5.8 to 2.5.9
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.9>)

   The purpose of this release is to fix an embarrassing regression in the
   'scorelog' function: if one continues from a saved game, any scorelog
   saved before that point gets wiped rather than appended to. (An
   unexpected consequence of our Git migration.) HRM#690381

   There have also been a couple of minor fixes to the Catalan and Russian
   localizations.


CHANGES FROM 2.5.7 to 2.5.8
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.8>)

   2.5.8 is a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * Fix trouble loading certain compressed savegames. HRM#679197
     * Used diplomat units no longer increase the target's score.
       HRM#657298
     * Fixed a warning when a player on your team goes to war with an ally
       of yours. HRM#662059
     * Fixed an assertion failure when losing a tech while no tech goal is
       selected. HRM#664286
     * Fixed an assertion failure when a player on your team is about to
       die. HRM#662701
     * Fixed a bug that could lead to no huts when loading from a game or
       scenario that was saved in the pregame state. HRM#682576
     * Fixed a typo'd leader name in the American nation. HRM#681847
     * When a city can't build a unit with a population cost, this is
       explained better. GNAPATCH#7707

Changes affecting other rulesets / modders

     * Fix a crash when a unit has a zero activity rate. HRM#660342
     * Fix a crash when a unit has negative vision radius. HRM#661313
     * Avoids warnings and incorrect behavior when a unit's initial
       veterancy turns out negative. HRM#661193
     * Prevent the scripting API from creating a stack of illegally mixed
       nationality when adding a unit to a tile. HRM#661533
     * Using a script to modify the map in certain ways in response to the
       'map_generated' signal could cause an assertion failure. HRM#673767

General

     * Various internal changes which should only affect developers.
       HRM#678452 HRM#654689 HRM#675955 HRM#679223 HRM#679917 HRM#674435
       HRM#660908 HRM#678446

Clients

     * Fix a possible assertion failure when a spaceship launched (or at
       other times when an AI's mood changed suddenly). HRM#660363
     * (Gtk) Fix a possible Gtk warning before the map is set up.
       HRM#678972
     * (Gtk) Fix a minor memory leak in the unit selection dialog.
       HRM#674321
     * (Gtk3) Fix the middle-click tile info box having a transparent
       background and thus being unreadable on some installations.
       HRM#656549

Tilesets / Art

     * Updated Isophex tileset. Adds distinct Lake terrain, various other
       cosmetic changes, and some extra resource types that are not used
       in the supplied rulesets. HRM#680743

Help / Documentation

     * The civ2civ3 online help claimed Forest, Jungle, and Swamp gave a
       25% defense bonus, but in reality they only give 20% due to a game
       engine limitation. The help now reflects this. (The 25% bonus will
       be implemented in 2.6.) HRM#682494
     * Corrections in README.ruleset_civ2civ3. HRM#657562
     * Online help documents that Leader units entering huts won't unleash
       barbarians. GNAPATCH#7545
     * doc/README.tilesets was accidentally left out of the tarball.
       HRM#678449
     * Update the FAQ a bit.
     * Update docs to reflect move away from gna.org. HRM#660271
       HRM#654670 HRM#664195
     * Minor update to ruleset comments. HRM#685211

Translations

     * Updated translations:
          + Complete translations: Catalan, Russian, French, British
            English.
          + Incomplete translations: Finnish (100% core, 93% nations).
     * Fix a help glitch for Migrants when using the Spanish translation.
       HRM#662732

Build/portability

     * The Windows package uses a new package of libraries. This is mainly
       expected to improve debugging. HRM#681643 HRM#681877
     * Work around a binutils bug that stops --enable-gprof working on
       some distributions (notably, Debian Stretch -- Debian bug #854704).
       HRM#675699
     * tolua.pkg, a source file not needed to build from tarballs, was
       inadvertently not included in them. HRM#678447


CHANGES FROM 2.5.6 to 2.5.7
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.7>)

   2.5.7 is a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * The score list shown when the game is over now includes dead
       players. GNA#17248
     * Fix a server crash when the AI could not find a suitable ferryboat
       unit type. (This was observed with a modified ruleset.) GNA#25628
     * Fix a typo'd city name in the Newfoundland nation. HRM#658528
     * Correctly diagnose failure to load a ruleset needed by a saved
       game. HRM#659503
     * Improved behavior after failing to write a file such as a saved
       game. GNAPATCH#8048 GNA#25391
     * Improved robustness against reading broken savegames. GNA#25416

General

     * Tiny optimization for speed. HRM#658612
     * Fix a tiny memory leak. GNA#25246
     * Various internal changes which should only affect developers.
       GNA#25319 GNA#25508 HRM#655305 GNA#25430

Clients

     * The "Manual Turn Done in AI mode" client option now does something
       useful. HRM#657412
     * (Qt) Player dialog now shows whether given nation shares vision to
       other nations. GNAPATCH#8115
     * (Qt) In pregame, pressing Enter on the username text box will now
       initiate a connection. GNAPATCH#8118
     * (Qt) The player dialog sometimes did not show new players, e.g.
       after a civil war. GNA#25506
     * (Qt) Focus might be set incorrectly to map after the selected unit
       changed. GNA#25505
     * (Gtk3) Fix some Gtk warnings on the console. GNAPATCH#7163

Help / Documentation

     * Update docs to reflect move away from gna.org. HRM#637952
       HRM#652494 HRM#655380 HRM#637953 HRM#656595
     * Refresh some links in INSTALL. HRM#656476
     * Update the FAQ a bit.
     * Miscellaneous changes to developer/ruleset docs. GNAPATCH#8109

Translations

     * Updated translations:
          + Complete translations: French, British English, Russian.
          + Incomplete translations: Finnish (100% core, 92% nations),
            Ukrainian (100% core, 79% nations).

Build/portability

     * Fix warning seen with Clang 3.9. Freeciv builds cleanly with Clang
       4.0. GNA#25314
     * Fix warnings seen with GCC 7, with which Freeciv builds cleanly.
       HRM#657309 HRM#657332


CHANGES FROM 2.5.5 to 2.5.6
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.6>)

   2.5.6 is a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * Disbanding a caravan-type unit with the "Disband" action (Shift-D)
       in a city that's building a wonder no longer contributes 100% of
       that unit's production cost towards the wonder. You must explicitly
       use the "Help Build Wonder" action (B). This change was made
       because this allowed rules to be bypassed -- it allowed adding
       shields to foreign cities' wonders. GNA#23911
     * If autoattack is enabled, cargo now preferentially attacks before
       its transport. GNA#25259 GNAPATCH#7985
     * Air units could fail to return to refuel automatically and be lost,
       despite having enough movement points. GNA#25294
     * A spurious enemy land unit could be shown in the middle of the sea
       on the client if the client's player saw its transporter being
       sunk, in games with 'killstack' disabled. GNA#24921
     * Borders were sometimes not adjusted after tiles changed from land
       to water. GNA#23179
     * It was possible to launch a spaceship that was not entirely
       connected (in a specific way). GNA#24979
     * The server could emit assertion failures when a barbarian leader
       could not or did not want to move. GNA#24929
     * The server could emit assertion failures shortly after creating a
       new barbarian player. GNA#24545
     * The server now gives a clear error message if it fails to parse a
       saved game file. GNA#24972
     * After selecting a specific nation to play and then reverting to
       random selection, it was possible to end up with previously
       selected nation anyway, due to the leader name persisting.
       GNA#24170
     * Removed duplicate city 'Orange' from Texan ruleset. (This was
       harmless.) GNA#25003

Changes affecting other rulesets / modders

     * Remove init_government from the Lycian nation. This prevented using
       the standard nation set nationlist.ruleset in a ruleset not
       containing a 'Despotism' government type. GNA#24904
     * Extra sanity checking when loading rulesets. GNA#24905 GNA#25137

Changes affecting server operators

     * When reducing command permissions (cmdlevel) on game start to
       'basic' for connected players, new connections after game start
       still got 'ctrl' permissions. GNA#24774

General

     * A tiny optimization for speed. GNAPATCH#7567
     * Various internal changes which should only affect developers.
       GNA#25007 GNA#25301

AI

     * The building advisor will no longer automatically build (and hence
       move) 'small wonder' buildings of any kind. (Previously it only
       refused to move the Palace.) GNA#7598
     * The AI could send caravans toward foreign cities in the mistaken
       belief that (a) they could help build a wonder there, (b) this
       would be somehow useful. GNA#24662

Clients

     * Sound is no longer disabled by default for fresh installations,
       unless it was not compiled in. GNA#24280
     * If a sound set with menu music was in use, a brief snatch of it
       would be played when quitting the client. GNA#24844
     * The 'Turn Done' button is now disabled for dead players. (It did
       not do anything useful.) GNA#24945
     * (Gtk3) Fix misdrawing of the scenario choosing page. GNA#24882
     * (Gtk3) Fix warnings about use of Pango font syntax seen with newer
       versions of Gtk. GNAPATCH#7162 GNA#25226
     * (Gtk3) Fix various other trouble when using the newest Gtk (3.22).
       GNAPATCH#7845 GNA#25160
     * (Qt) Fix constantly blinking research text the turn when the tech
       tree is complete. GNA#25071
     * (Qt) Added the option to show which tiles are native to a unit, as
       in other clients. GNAPATCH#6445
     * (Qt) Added the 'Default' option to theme selection. GNAPATCH#7666
     * (Qt) Fix artifacts on minimap: a vertical line of bright (unfogged)
       pixels was shown in hex topologies, and more unfogged pixels could
       be left after unit movement. GNA#24370 GNA#24861
     * (Qt) Now shows any startup message set on the server with
       'connectmsg'. GNAPATCH#7537
     * (Qt) Now displays information about new releases of Freeciv from
       the metaserver, like other clients. GNA#24935
     * (Qt) Trying to start the game very quickly after loading a savegame
       or scenario could fail. GNA#24859
     * (Qt) Picking a nation for another player in pregame could set that
       player's leader name to the client's username. GNA#24906
     * (Qt) When sending a chat message, the position in the chat history
       is reset to the bottom. GNA#24881
     * (Qt) Chat messages containing non-ASCII characters could be
       displayed incorrectly. GNA#24888
     * (Qt) Windows-specific fixes:
          + Some changes that may help with failure to start this client
            on Windows. GNA#24901
          + The map could fail to be drawn initially. GNA#24860
          + Fix possible networking trouble. GNA#24909
     * (SDL) It was usually impossible to cancel a treaty. Opening the
       diplomacy dialog when it would have been possible would usually
       crash the client. GNA#25245 GNA#25085
     * (SDL) With hex topologies, the city map was drawn over other parts
       of the city dialog. GNA#25251
     * (SDL) The goto/airlift dialog had a hardcoded limit to the number
       of cities it could display, making some inaccessible. GNA#25024
     * (SDL) Fix possible trouble when entering or leaving the main game
       view. GNA#23992
     * (SDL) Fix possible trouble on theme change. Theme changes are not
       applied until a restart. GNA#25117

Tilesets / Art

     * Minor fixes to civ2civ3 wonder graphics. GNA#25009
     * An invisible fix to improve hex2t performance slightly.
       GNAPATCH#7953

Help / Documentation

     * Documented the FREECIV_OPT client environment variable. GNA#25165
     * Miscellaneous changes to developer/ruleset docs. GNA#24941
       GNA#24996 GNAPATCH#7688

Translations

     * Updated translations:
          + Complete translations: Russian.
          + Incomplete translations: Finnish (100% core, 92% nations),
            German (100% core, 87% nations), Ukrainian (99.1% core, 79%
            nations).
     * (We're looking for a new primary maintainer for the German
       translation. See <http://www.freeciv.org/wiki/Translations>
       if you can help.)

Build/portability

     * Fix portability issues when building for 64-bit Windows.
       GNAPATCH#7558 GNAPATCH#7588 GNA#24902 GNA#24900
     * Fix some compilation warnings on OpenBSD. GNA#24948 GNAPATCH#7634
     * Fix use of deprecated types in the Qt client, causing warnings.
       GNAPATCH#7704
     * Some incomplete changes aimed at enabling compilation with tcc.
       GNAPATCH#7509 GNAPATCH#7519 GNAPATCH#7526
     * Fix generation of the configure script with the (rather old)
       autoconf 2.64. This would not affect building from our release
       tarballs. GNA#24907
     * The FREECIV_LABEL_FORCE variable is now cached between runs of
       'configure'. GNAPATCH#7987


CHANGES FROM 2.5.4 to 2.5.5
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.5>)

   2.5.5 is a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * A city containing a Leader unit will now never defect in a civil
       war. Previously this could cause the rebels to end up with both
       Leaders. GNA#24724
     * Units without a home city are no longer forced to acquire a home
       city when transferred to another player. GNA#24746
     * Barbarians no longer spawn in Lake terrain in all rulesets which
       have it. GNA#24458
     * Bug fix: it was impossible to change production in a city after
       disbanding a unit there the same turn the city was built. GNA#24714
     * The win chance of a boat in a city defending against attack was
       erroneously displayed as 0%. GNA#24799 (A new client connecting to
       an old server running a custom ruleset may still display an
       incorrect defense value, this time too optimistic.)
     * The client's display of city population could be out of date after
       international migration. GNA#24464
     * The 'Plague' random disaster in the classic ruleset has been
       renamed to 'Pestilence' to avoid confusion with the unrelated game
       concept of plague. GNA#24688 Other text changed to mitigate this
       confusion. GNA#24689
     * Bug fixes and improvements to Latvian, African, and Texan nations.
       GNA#24670 GNAPATCH#7240 GNA#24726
     * Correct descriptions of server options 'techlost_recv' and
       'techlost_donor' to make clear that they apply to technology theft
       as well as trading. GNA#24609
     * Bug fix: a non-zero 'techlevel' setting (or a ruleset which grants
       initial techs) along with certain 'plrcolormode' settings could
       give a (harmless) assertion failure at game start. GNA#24614
     * Bug fix: a player observer can no longer cause the game to start on
       behalf of a player. GNA#24678

Changes affecting other rulesets / modders

     * Adding a base in the editor was not taking care of side-effects,
       such as removing conflicting bases on the same tile, granting
       vision and borders, etc. GNA#23106
     * In the editor, the "Nation Start Positions" property could be
       disabled when changing other values on the Game tab of the property
       editor. GNA#24627

Changes affecting server operators

     * New 'persistent' metaserver connection mode, where one failure to
       talk to the metaserver does not prevent future attempts. Enabled
       with the '--keep' server option or the '/metaconnection persistent'
       server command. GNAPATCH#7300

General

     * Minor memory leak fixes. GNA#24634 GNA#24468
     * Some optimizations for speed. GNAPATCH#7176 GNAPATCH#7202
       GNAPATCH#7189
     * Various internal changes which should only affect developers.
       GNAPATCH#7206 GNA#24669 GNA#24636 GNA#24651 GNAPATCH#7433
       GNAPATCH#7432

AI

     * AI players could occasionally be subject to the penalty for
       changing production type. They are supposed to always be immune to
       this penalty. GNA#24760

Clients

     * It's now possible to create an all-AI game from the client, by
       becoming an observer and starting the game. (You also need to set
       'minplayers' to 0 and set a turn timeout.) GNAPATCH#7334
     * Fix drawing artifacts with oriented tilesets such as Cimpletoon:
          + A unit could be drawn with two superimposed random
            orientations. This showed up in the Gtk unit select dialog and
            the Qt help. GNA#24772
          + Unit orientation in these circumstances could change randomly
            on redraws. GNA#24771
     * Fixes to disconnecting from servers and cleaning up spawned
       servers. In particular, the Gtk and Qt clients now disconnect
       cleanly from the server when you quit the client. GNA#24629
       GNA#24872 GNA#24823
     * For global observers, fixed display of city map outline and grid
       coloring. GNA#24791
     * Fixed a potential buffer overflow in some clients in the presence
       of extremely long tileset or soundset names. GNA#24877
     * (Gtk) Make Prev/Next City buttons insensitive for global observers,
       since they do nothing. GNA#24059
     * (Gtk3) On very small screens, the balance between happiness and
       nationality areas in the city dialog has been improved. GNA#24265
     * (Gtk3) Silence Gtk warnings on console by default with newer Gtk3
       versions; this is necessary as it's not possible to construct a
       theme which works across the full range of Gtk3 versions we support
       without warnings. They can be re-enabled with
       freeciv-gtk3 -- --gtk-warnings.
     * (Qt) Simplified the network page, so that local and Internet
       servers are on the same page. GNAPATCH#7392 Scans for local servers
       are now stopped once a connection is chosen. GNA#24833
     * (Qt) There's now a button to lock the messages and chat window
       geometry, so that a mis-click doesn't accidentally disarrange them.
       GNAPATCH#7467
     * (Qt) The '5' key on the numeric keypad now selects the previous
       unit, as in the Gtk clients. GNA#24516
     * (Qt) Allied chat (chat messages are sent only to allies, not all
       players) is now the default. GNAPATCH#7368
     * (Qt) The default leader name defaults to the player name (often the
       system user name) rather than a leader name from a selected nation.
       GNAPATCH#7367
     * (Qt) Added an option to change the theme. GNAPATCH#7471
     * (Qt) The '<', '>', and '&' characters are now handled correctly in
       chat; they are no longer interpreted as HTML. GNAPATCH#7263
       GNA#24829
     * (Qt) When there's a problem loading a tileset, an error message
       explaining it is now displayed. GNA#24832
     * (SDL) The display of shields in the city dialog immediately after
       changing production could be overly pessimistic. GNA#24807

Tools

     * Minor fix to freeciv-manual tool's output. GNA#24778
     * Minor fix to modpack installer's error reporting. GNA#24637

Help / Documentation

     * The 'Chatline' help is now more comprehensive. GNA#24841
     * The tutorial scenario now has a message for when you build your
       first military unit. GNA#24874
     * Miscellaneous other improvements to in-game text and user
       documentation. GNAPATCH#7119 GNA#24682 GNA#24720 GNA#24650
       GNA#24753 GNA#24784 GNAPATCH#7303 GNA#24828 GNA#24838 GNA#24858
     * Miscellaneous changes to developer/ruleset docs. GNAPATCH#7384
     * Invisible changes to assist localization. GNAPATCH#6908

Translations

     * Updated translations:
          + Complete translations: Catalan, French, British English,
            Spanish, Russian.
          + Incomplete translations: Finnish (100% core, 92% nations),
            Japanese (94% core, 95.4% nations).
     * When localized into Finnish, the last character was stripped or
       corrupted in all messages. GNA#24754

Build/portability

     * Package builders can now override the version label used with
       FREECIV_LABEL_FORCE. GNAPATCH#7196 GNAPATCH#7217
     * 'nonnull-compare' warnings from GCC 6 are now silenced. GNA#23810
     * The included Lua now uses fseeko() instead of fseek() where
       available. This is unlikely to make a difference in practice.
       GNAPATCH#7322
     * Update some of the libraries shipped with the Windows packages.
       GNA#24321


CHANGES FROM 2.5.3 to 2.5.4
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.4>)

   2.5.4 is a bugfix release.

Server / General

Changes affecting players (supplied rulesets)

     * When a city reduces in size causing its borders to shrink, avoid
       messages like "City size 6, citizen count 7 for Porto Alegre" and
       nearby cities' citizens being gratuitously rearranged. GNA#24194
     * Founding a city on a tile occupied by a fortress could lead to
       incorrect borders. GNA#23436
     * The tutorial scenario now mentions boats, and warns about
       killstack. GNAPATCH#2911
     * In the civ2civ3 ruleset, 'happyborders' is now enabled by default.
       GNAPATCH#7080
     * In the experimental ruleset, some effects mistakenly did not apply
       to Big Land units (only to Land units):
          + Sun Tzu bonuses and Fortress defense bonuses now apply to Big
            Land units. GNA#24539
          + City Walls and Great Wall are now effective against Big Land
            units. GNA#24522
     * Transported units were never upgraded by Leonardo's Workshop. Now
       they can be upgraded, provided that their current transport could
       carry the resulting unit. GNA#24368
     * When restoring from a savegame, the full map was revealed to dead
       players regardless of whether the 'revealmap' option included
       'DEAD'. (Now dead players see nothing at all after a reload in this
       situation, since their final view of the map is not currently
       included in savegames.) GNA#21296
     * Fix a possible server crash at turn change. GNA#24283
     * Fix possible outdated city information in the client after
       cancellation of a trade route involving that city. GNA#23708
     * Some messages mentioning units could fail to localize the unit
       name. GNA#24608
     * When a 2.5.1 or older client received a report (history, wonders of
       the world, top 5 cities etc) from a 2.5.2 or newer server, it could
       contain parts of other reports. GNA#24494
     * Starting the client or server with the --file or -f option could
       sometimes fail if the full save file name was given, with its
       extension (e.g., -f foo.sav.bz2). GNA#23872
     * At game start, the map label "Highest Peak" is now placed as
       intended, alongside "Scorched Spot" etc. GNA#24436

Changes affecting other rulesets / modders

     * The rule that units transporting other units cannot be paradropped
       is now enforced. GNA#24392
     * Large values for illness_base_factor, _pollution_factor, or
       _trade_infection (above 255) were not correctly sent to the client.
       The client would display the wrong illness values, although the
       correct values would be used for gameplay. Both client and server
       must be upgraded to benefit from this fix. GNA#24607
     * In hex tilesets, river outlet sprites for horizontal/vertical sides
       (road.river_outlet_{ne,sw}) are now used if present. This may
       affect the display of existing tilesets (for instance, it affects
       the supplied hex2t tileset). GNAPATCH#6351
     * Using the editor, changing the ruleset, and entering the editor
       again could leave editor tools in a funny state. GNA#24577
     * Rulesets with ocean cities could encounter trouble if the server
       printed debug messages about them, which can happen either with
       --debug 4 in an --enable-debug build, or when targetted logging is
       enabled with the /debug command. GNA#24405
     * Extra sanity checking when loading rulesets. GNAPATCH#6833
       GNA#24459

General

     * Fix possible bad handling of failure to open a bzip2-compressed
       file. GNAPATCH#7024
     * Fixed various warnings about unused entries when loading game
       files. GNA#24219 GNAPATCH#7020
     * Some changes to the Windows build, including using Winsock2 for
       networking. This is not known to have user-visible consequences.
       GNAPATCH#6533 GNA#24387 GNAPATCH#7139
     * Minor memory leak fixes. GNA#24287 GNAPATCH#7015 GNA#24564
       GNA#24600
     * Some optimizations for speed. GNAPATCH#6934 GNAPATCH#6992
       GNAPATCH#7126 GNAPATCH#7147 GNAPATCH#7149
     * Various internal changes which should only affect developers.
       GNAPATCH#6677 GNA#24322 GNAPATCH#6760 GNA#24331 GNA#24332 GNA#24284
       GNAPATCH#6842 GNA#24350 GNA#24251 GNAPATCH#6873 GNAPATCH#6866
       GNA#24378 GNAPATCH#6898 GNAPATCH#6906 GNAPATCH#6929 GNAPATCH#7004
       GNA#24483 GNAPATCH#7130 GNA#24599 GNAPATCH#7135 GNA#19047

AI

     * When AI switched to a war footing, cities could be left building
       workers/settlers forever, based on a desire remembered from
       peacetime. GNA#24404
     * Barbarians never finished pillaging tile improvements. Now there is
       a chance that they do. GNA#23305
     * If an AI player wanted an ally to declare war on an enemy, it was
       much less patient if that ally was an AI than if it was a human.
       Now AI and human allies are treated the same. GNAPATCH#7035
     * In rare circumstances, an AI settler could report a "Failed to
       build city" message to the console. GNA#24094
     * AIs can now consider diplomacy with barbarian players (but the
       default AI will now not attempt diplomacy with players with the
       No_Diplomacy effect, so there's no change in behavior with supplied
       rulesets and AIs). GNA#24282 GNAPATCH#6825

Clients

     * Setting a server option to a string value containing a space didn't
       work. GNA#24346
     * Fix a possible crash when starting a server, on Unix. GNA#24450
     * Fix a crash or corruption of saved colors upon opening the client
       settings dialog for the second time. GNA#24351 GNA#23961
     * A client log level specified with -d is now passed on to any
       spawned server, rather than the server logging with a fixed level
       of 3 (verbose). GNA#21540
     * Fix a rare assertion failure when the map is revealed at game end.
       GNA#24562
     * In games with 'phasemode' set for alternating movement, move the
       client's notion of when the turn changes to after other player's
       moves. GNA#24167
     * (Qt) It was not possible to request more than 99 gold in a
       diplomatic treaty. GNA#24425
     * (Qt) The Players dialog would often forget its selection. GNA#24369
     * (Qt) In the chat line, typing characters that clashed with menu
       shortcuts (for instance Alt+C for Polish 'ć') was impossible.
       GNA#24380
     * (Qt) Fix some menu items being enabled when they shouldn't be.
       GNA#24396
     * (SDL) Added item to Options menu to launch built-in help. GNA#17167
     * (Gtk) Fix a crash when drawing the city dialog on some platforms.
       GNA#24647
     * (Gtk3) The background image in the default theme no longer crawls
       around when windows are resized. This may also speed up drawing.
       GNAPATCH#6964
     * (Gtk3) Fix warning on console when detaching the lower part of the
       window. GNA#24474
     * (Gtk3) Fix possible console warnings related to the vote bar.
       GNA#24353

Tools

     * The modpack installers were not treating an HTTP 404 Not Found as
       an error; instead they would create the target file containing the
       error message from the web server. GNA#24518 GNA#24603
     * The modpack installers now support the --debug option to diagnose
       errors. GNAPATCH#7060 GNA#24572
     * Cosmetic tweak to freeciv-mp-cli output format. GNAPATCH#7113

Help / Documentation

     * Documented some limitations of SDI Defense (it is ineffective
       against weapons owned by yourself, teammates, or allies). GNA#23916
     * Miscellaneous other improvements to in-game text and user
       documentation. GNA#23757 GNA#24205 GNA#24206 GNA#24337
       GNAPATCH#6787 GNAPATCH#6901 GNAPATCH#6927 GNAPATCH#6951 GNA#24115
       GNA#24431 GNAPATCH#7011 GNAPATCH#7170
     * Miscellaneous changes to developer/ruleset docs. GNA#24393
       GNA#24239 GNAPATCH#6924 GNA#24400 GNAPATCH#6981 GNAPATCH#6989
       GNA#24602 GNAPATCH#7145 GNAPATCH#7161 GNAPATCH#7184 GNAPATCH#7205
     * Invisible changes to assist localization. GNAPATCH#6893 GNA#24442
       GNA#24660

Translations

     * Updated translations:
          + Complete translations: French, British English, Spanish.
          + Incomplete translations: Finnish (100% core, 89% nations).
     * Automatic language selection on a Norwegian Nynorsk version of
       Windows gave US English translations. Now it uses the Bokmål
       translation (the only one available) on any Norwegian version of
       Windows. GNA#24480

Build/portability

     * Builds made with assertions disabled (NDEBUG defined) could fail to
       load savegames properly. GNA#23965 GNA#24571
     * Suppress some warnings from GCC 6. GNAPATCH#7156
     * Fix various compiler warnings. The Freeciv core code is
       warning-clean with Clang (3.5 to 3.8+) and GCC5/6. GNAPATCH#6759
       GNA#24289
     * Fix a possible failure to enable IPv6 where available. GNA#24274
     * Fix a possible attempt to build with IPv6 where some necessary
       functions were not available. GNA#24295
     * configure could fail for lack of the gthread library, when that
       library would only be needed for the optional freeciv-mp-gtk2/3.
       GNA#24077
     * Fix trouble with configure's Qt detection on Mac OS X. GNA#24567
     * Fix harmless build warning "ar: `u' modifier ignored since `D' is
       the default (see `U')" with recent binutils. GNA#23840
     * Make configure --enable-client with no argument work. GNA#24471
     * make src-check was failing on some platforms. GNA#24574
     * Various fixes for building for Windows. GNA#24263 GNA#24291
       GNA#24293 GNA#24292 GNAPATCH#6869
     * Enable building with recent Gtk3, which has deprecated GtkMisc.
       GNA#24398 GNA#24432
     * Re-running autogen.sh from the release tarball could lead to a
       broken tree with bits of two incompatible versions of libtool.
       GNAPATCH#6861


CHANGES FROM 2.5.2 to 2.5.3
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.3>)

   2.5.3 is a bugfix release mainly aimed at Linux distribution
   maintainers and other repackagers. There have only been a few minor
   user-visible fixes since 2.5.2.

     * Build fixes:
          + Re-generating the configure script could fail on recent OS
            distributions due to a clash with the system supplied
            glib-gettext.m4. This did not affect most users, who would
            build with the configure script supplied in the tarball.
            GNA#24379
          + configure could spuriously output "-lncurses: not found" and
            fail to find readline on some systems (seen on OpenBSD).
            GNA#24372
     * Qt client fixes:
          + The menu options and keyboard shortcuts to save games were
            disabled when there were no active units. GNA#24371
          + The Qt client could create a directory called literally
            '$HOME'. GNA#24359
          + A few strings in the Qt client were displayed unlocalized.
            GNA#24339
     * Increase the size of some buffers that were causing truncated
       strings in some localizations, such as Russian. GNA#24328
     * Change a couple of flag files to address auto-detected licensing
       conflicts. GNA#23814 GNAPATCH#6855
     * Some corrections to the Finnish and Russian translations.
       GNAPATCH#6902


CHANGES FROM 2.5.1 to 2.5.2
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.2>)

   2.5.2 is a bugfix release. In particular, there have been many
   improvements and bugfixes to the new Qt client.

Server / General

Changes affecting players (supplied rulesets)

     * A spaceship part would be lost if the relevant player was not
       logged into the server during the turn when it was completed. The
       part would still count towards the maximum, so this could prevent
       spaceship completion. GNAPATCH#5217 GNA#22934 GNA#24309
     * Map generation would frequently fail ("Cannot create suitable map
       with given settings") even with the default settings and not be
       retried. After the fix it's still possible for the retry to fail,
       but it should be much less likely. GNA#23885
     * Loading a previously saved game in 'xz' format could fail due to
       low memory usage limits. GNA#23891 GNA#23966
     * In the multiplayer ruleset, Darwin's Voyage gave 4 techs instead of
       2, and would yield more techs if destroyed and rebuilt. GNA#24098
     * The names of the free advances granted from certain buildings
       (e.g., Darwin's Voyage) or technologies (e.g., Philosophy) were not
       announced. GNA#23402 GNA#24036 GNAPATCH#6628 GNA#24140
       GNAPATCH#6663 Also, embassies are now more consistently notified of
       such free techs. GNA#24039
     * Fixed causes of spurious 'ghost' units visible in the client in
       certain circumstances:
          + After an alliance is canceled, if a third nation's units were
            visible in cities. GNA#24169
          + If a unit ever 'teleported' across the map. GNA#23831
     * Fix minor bugs when automatically canceling alliances with two
       allies whose mutual ceasefire had run out:
          + A senate could spuriously prevent the automatic cancelation of
            an alliance with one of the players. GNA#24038
          + Your resulting armistice with one of the players could be one
            turn shorter than the other. GNA#24033
     * With the setting 'citymindist' set to 1 (as it is by default in the
       civ1 ruleset), units whose location was no longer tenable due to
       loss of an adjacent city (such as boats relying on that city for
       access to water) were not being correctly disbanded, leading to
       assertion failures. GNA#23801
     * Fixes to historian's reports:
          + The report could be truncated for a large number of players.
            GNA#23765 GNA#23948 GNA#24168 GNA#24220
          + First report occurs at turn 20, not 21. GNAPATCH#6332
     * In games with 'phasemode' set for alternating movement, city
       workers could fail to be auto-arranged often enough. GNA#24146
     * Immediately after loading a savegame, some city properties whose
       value was affected by trade partners could possibly be incorrect,
       although this would quickly correct itself. GNA#23614 In
       particular, in rulesets with illness, the client's display of
       illness could be slightly inaccurate after loading a savegame.
       Gameplay was not affected in this specific case. GNA#23786
     * Loading a game with multiple units of a type that is supposed to be
       unique now gives a warning. Such savegames can exist due to bugs in
       previous versions. GNAPATCH#6561
     * Nations that ceased to exist with a revolution in progress could
       later be announced to have completed that revolution, causing
       trouble. GNA#23803
     * Fixes to automatic nation and leader name selection:
          + A barbarian player could end up with a blank leader name in
            rare circumstances. GNA#24130
          + Slightly reduced the chance that an automatically created
            player ends up with a placeholder name like "Player no. 3".
            GNA#24129
          + When a nation is assigned to a player based on their username,
            choose randomly if more than one nation is eligible. GNA#24181

Changes affecting other rulesets / modders

     * Scenarios containing generated huts no longer acquire more and more
       huts every time they are loaded and re-saved. GNA#21345
     * Fix "error restoring 'generator'" message when loading some
       scenarios. GNA#23912 GNAPATCH#6371
     * Random number generator state is no longer added when re-saving a
       scenario which didn't save it (such as any of the supplied
       scenarios). Newly created scenarios still save randomness state
       unless the file is edited by hand. GNA#23793
     * Do not save an empty description string if the scenario has none.
       GNAPATCH#6432
     * Fix a case where a Lua script destroying a city could lead to a
       crash. GNA#24016
     * Fix possible trouble with city-building units that were not also
       workers. GNA#23998
     * A line at the end of a ruleset file without a final newline is
       completely ignored. Warn when this happens. GNAPATCH#6230
     * In rulesets with units with large movement rates, and/or a large
       number of move_fragments, such units could appear in the client to
       have fewer moves than expected. Both server and client must be
       upgraded to benefit from this fix. GNA#24074
     * The editor now permits units to be given more moves than their base
       move rate. Previously, this could have prevented editing units that
       had extra moves from effects or veterancy. GNA#24079
     * Extra sanity checking when loading rulesets. GNAPATCH#6206
       GNA#24207

Changes affecting server operators

     * The server now prints the network port it's listening on when it
       starts up. GNA#24073

General

     * Fix incorrect memory management in builds that don't use
       getaddrinfo() (such as the standard Windows builds). This may fix
       some crashes and other weirdness in such builds. GNA#24267
     * Fix some warnings like "Trying to put 0.000510 with factor 1000000
       in 32 bits; it will result 0.000509 at receiving side." GNA#22960
     * Better error messages for network errors when starting the server.
       GNAPATCH#6750
     * Some optimizations for speed. GNAPATCH#6305 GNAPATCH#6325 GNA#24135
       GNA#23806 GNA#23863 GNAPATCH#6342 GNA#23870 GNAPATCH#6374
       GNAPATCH#6552 GNAPATCH#6556 GNAPATCH#6550 GNAPATCH#6546
       GNAPATCH#6611 GNA#23791
     * Minor memory leak fixes. GNA#23825 GNA#23826 GNAPATCH#6326
       GNA#23862 GNA#24165
     * Various internal changes which should only affect developers.
       GNAPATCH#6229 GNA#23823 GNAPATCH#6306 GNA#23889 GNAPATCH#6401
       GNAPATCH#6409 GNAPATCH#6443 GNAPATCH#6429 GNAPATCH#6567 GNA#23975
       GNA#23888 GNAPATCH#6496 GNA#24000 GNA#24021 GNAPATCH#6562 GNA#24068
       GNAPATCH#6592 GNAPATCH#6591 GNA#24085 GNAPATCH#6459 GNA#23997
       GNA#24063 GNAPATCH#6664 GNAPATCH#6675 GNA#24199 GNA#23949 GNA#24259

AI

     * An AI player will now look more unfavorably on a declaration of war
       from a player with whom they have ever had a peace or alliance.
       (Code was already present but ineffective due to a bug.) GNA#23973
     * AI now considers another player with an armistice to be peaceful
       where it didn't before. This affects diplomacy and city placement.
       GNA#23866
     * The 'Novice' AI level was unintentionally less generous when
       negotiating treaties than the default 'Easy' level. GNA#24142
     * The AI no longer assigns an unbounded number of units to defend a
       city. Previously there could be escalation where each AI would
       build more and more military units and assign them as defenders to
       counteract the perceived threat from the other's units built in the
       same way. GNAPATCH#6612 GNA#24117
     * Allied passengers on an AI transport could be activated during that
       transport's turn. This could lead to units acting out of turn, and
       to worse trouble, particularly if the cargo and transport were of
       different AI types. GNA#23755
     * The AI now values Marco Polo's Embassy more, and takes into account
       the number of new contacts it would give rather than just the total
       number of players. GNAPATCH#5844
     * A threaded AI player's autosettlers could build terrain
       improvements that it had no use for (such as Fortresses). GNA#23754

Clients

     * Improve handling of failure to start a server:
          + Don't hang forever if it can't bind any ports for some reason.
            GNAPATCH#6423
          + Better error reporting. GNAPATCH#6435
     * The city dialog's pollution breakdown was inconsistent with the
       overall figure for cities in disorder -- it would erroneously claim
       there was no pollution. GNA#23957
     * The city size on the main map is now drawn in a color that
       contrasts with the player color. This should improve visibility
       with colors like yellow, particularly in the Qt and SDL clients.
       GNA#24120
     * Unit upkeep icons in city dialog were truncated / unclickable in
       some tilesets, such as Trident, in some clients. GNA#23383
       GNA#23954 GNAPATCH#6520 GNA#24051 GNA#24148
     * Fix sensitivity of "cancel pact" buttons in situations such as
       after the player had died. (It wasn't really possible for a dead
       player to cancel a pact.) GNA#23811
     * Messages about errors with a player's selected nation are now
       displayed by default. This change will likely not take effect on
       existing installations, where the previous defaults have been saved
       into the client's configuration file. GNA#24128
     * The client's UI now more accurately reflects when the server is
       still busy with turn and phase change activities (hourglass,
       sensitivity of Turn Done button, etc). GNAPATCH#6583 GNAPATCH#6584
     * (Gtk) Avoid a client crash on startup if no tileset is suitable for
       the selected ruleset, or if a tileset has errors. GNA#23794
     * (Gtk) Fix an issue where the 'Airlift' button could be sensitive in
       the unlikely event of the player having no cities. GNA#24060
     * (Gtk) Fix some minor resource leaks. GNA#23853 GNA#23935 GNA#24010
       GNA#23854 GNAPATCH#6458 GNA#23895 GNA#23955 GNA#23969
     * (Gtk) Fix "GtkDialog mapped without a transient parent" warnings on
       the console. GNA#23960 GNA#24054
     * (Gtk) Avoid console warnings from vote bar on small screens.
       GNA#24147
     * (Gtk3) When loading the Freeciv theme, or switching to another,
       parts of the old theme (initially, the system theme) could still be
       used, leading to incorrect display. GNA#24203
     * (Gtk3) Make the government menu icons visible with more versions of
       Gtk. GNAPATCH#6471 GNA#23944
     * (Gtk3) Remove the option "Better fog-of-war drawing", as it did
       nothing in this client. GNAPATCH#6440
     * (Gtk3) When the client was run for the first time, a changed
       setting for "Popup tech help when gained" was not migrated from the
       Gtk2 client. GNA#23859
     * (Gtk3) Tweak city dialog when on very small screens. GNAPATCH#6605
     * (Qt) There have been too many improvements and bugfixes to the Qt
       client to list them individually. Highlights:
          + Add mouse + modifier shortcuts to main map view similar to Gtk
            client: append focus unit, quickselect land/sea units, wake up
            sentries, show/hide/adjust city workers, copy/paste city
            production. GNAPATCH#6577
          + Ctrl+left-click on a city changes production from the map map;
            Ctrl+Shift+left-click additionally buys it immediately.
            GNAPATCH#6704 GNA#24225
          + Ctrl+Space now brings up a dialog to select between units on
            the tile under the mouse cursor. This allows quick selection
            of a unit in a city. GNA#24177 GNA#24224 GNAPATCH#6724
            GNA#24247
          + Add keyboardless goto. GNAPATCH#6446 GNA#23994
          + Add controls to choose ruleset, number of players, and AI
            level when starting a game. GNAPATCH#6444 GNA#24108
          + More control over when client options are saved. GNA#23950
          + Hovering over an item when choosing city production now shows
            help in a tooltip. GNAPATCH#6555
          + The Science report now has tooltips describing advances and
            what they enable. GNAPATCH#6650 Right-clicking on an item will
            take you to the full help for it. GNAPATCH#6699 GNA#24233
            GNAPATCH#6738
          + Right-clicking on a player in the nations report now starts a
            meeting with them. GNAPATCH#6700
          + After closing a diplomacy dialog with a player could prevent
            ever meeting with that player again. GNA#24246
          + New unit selection filter option to choose only units with
            both full hitpoints and movement points. GNAPATCH#6652
          + The unit selection filter for full MP could omit units with
            movement bonuses. GNA#24078
          + Double-clicking a governor preset in the city dialog now
            enables the governor. GNAPATCH#6717
          + Add missing option to explode nuclear unit without attacking.
            GNAPATCH#6653
          + Fix fogged tiles not being drawn in certain tilesets, such as
            hex2t and isophex. GNA#24006
          + Fix connecting to network games which require authentication.
            GNAPATCH#6513
          + Various other fixes for network games. GNAPATCH#6497 GNA#24127
            GNA#24134 GNA#24179 GNA#24273
          + Information about other players' technologies displayed on the
            Players report could be wrong. GNA#24095 GNA#24159
          + "Go And Build City" order was unavailable if a unit could not
            build a city at its current location. GNA#23384
          + The client could crash while the 'disband' dialog was
            displayed. GNA#24188
          + Fix trouble with overview map when changing view
            (disconnect/reconnect, observing a different player, etc).
            GNA#24027
          + Fix various crashes with certain dialogs/views open during a
            turn change. GNA#23963 GNA#24047
          + Fix trouble when observing or connecting to an ended game.
            GNA#24045 GNA#24069
          + Selecting multiple units could focus the wrong unit. GNA#24055
          + Chat and messages could be delayed or wrong in some
            circumstances. GNA#24028 GNA#24106
          + Player names in chat output could be displayed incorrectly.
            GNAPATCH#6505
          + The chat widget did not use the configured font. GNA#24163
          + The chat and message widgets can now be minimized by
            right-clicking on their buttons. GNAPATCH#6671
          + Chat and messages view proportions are now saved and restored,
            and other tweaks. GNA#24107 GNAPATCH#5474
          + Chat window now always scrolls to bottom on new input.
            GNA#23968
          + Tweak layout of main map view: display research progress and
            turn/gold at top left, move minimap to bottom right. GNA#24007
            GNAPATCH#6681 GNAPATCH#6721 GNA#24229
          + The City and Player reports now default to more sensible
            column widths. GNA#24048 GNA#24102
          + Miscellaneous other fixes: crashes, assertion failures, visual
            glitches, other robustness. GNA#24017 GNAPATCH#6597 GNA#24061
            GNA#24093 GNA#24111 GNA#24114 GNA#24103 GNA#24122
            GNAPATCH#6640 GNAPATCH#6641 GNAPATCH#6643 GNA#24071 GNA#23972
            GNAPATCH#6504 GNA#24007 GNA#24160 GNAPATCH#6655 GNAPATCH#6665
            GNAPATCH#6672 GNA#24176 GNA#24153 GNA#24197 GNAPATCH#6698
            GNA#24216 GNA#24217 GNA#24222 GNAPATCH#6726 GNA#24228
            GNA#24113 GNAPATCH#6747 GNA#24275
     * (SDL) Fix a crash when a research target is not set. GNA#24052
     * (SDL) Fix some possible assertion failures / crashes. GNA#23809
       GNA#23900
     * (SDL) Stop inviting player to end turn once they have done so and
       are waiting for others. GNAPATCH#6271
     * (SDL) Make count of items in city worklist consistent with worklist
       display. GNA#23770
     * (SDL) Don't display "0%" progress for Coinage in worklist view.
       GNAPATCH#6510

Tilesets / Art

     * Minor updates to trident tileset: glacier and tundra blend better,
       plus minor glitch fixes. GNAPATCH#6347 GNA#23898
     * Maglev graphics are now actually displayed in the isophex tileset.
       GNA#23785
     * Amplio2 Fort now looks more like a wooden structure. GNAPATCH#6466
     * All supplied tilesets now have a distinct unit activity icon for
       the 'convert' action (added to hex2t, isotrident, and isophex).
       GNAPATCH#6240

Help / Documentation

     * The help for units in the supplied rulesets didn't always describe
       special-case combat bonuses between specific units; for instance,
       the help for Pikemen didn't explain why they are better than
       Phalanx. This was a regression from 2.4. GNA#23962
     * Miscellaneous improvements to in-game text and user documentation.
       GNAPATCH#6210 GNAPATCH#6337 GNA#23398 GNA#24009 GNA#24044 GNA#24116
       GNAPATCH#6639 GNA#24143 GNAPATCH#5818
     * Miscellaneous changes to developer/ruleset docs. GNA#23976
       GNAPATCH#6580 GNAPATCH#6621 GNAPATCH#6810
     * Tidy up licensing statements. GNA#24110 GNA#24109
     * Invisible changes to assist localization. GNA#23894 GNAPATCH#6439
       GNAPATCH#6595 GNA#24196 GNA#24306

Translations

     * Updated translations:
          + Complete translations: Russian, French, Catalan, Spanish,
            British English.
          + Incomplete translations: Finnish (100% core, 87% nations),
            Polish (96.4% core, 100% nations).

Build/portability

     * Fix various compiler warnings, including warnings from Clang 3.7
       and GCC 4.2. GNA#23993 GNA#24088 GNAPATCH#6174 GNA#24086 GNA#24096
       GNA#24156
     * Disable some compiler warnings from normal builds without
       --enable-debug that remain unfixed due to coding policy.
       GNAPATCH#6499 GNAPATCH#6509
     * Fix spurious error 'unrecognized command line option
       "-Wno-tautological-compare"' from GCC when other errors occurred.
       GNA#23448
     * Try using pkg-config to find MagickWand. Fixes auto-detection on
       Debian Stretch. GNA#23906
     * Fix a cause of configure bombing out when cross-compiling.
       GNA#23860
     * Fix a possible issue cross-compiling the Gtk2 client. GNAPATCH#6209
     * Fix a possible issue picking up the wrong version of SDL headers,
       or not finding them at all. GNA#24172 GNA#24198
     * Revert a change that 2.5.1 made to Qt5 detection (GNA#23348); it
       was unnecessary, and introduced breakage. GNA#23798
     * Correctly detect if the system Curl version is too low. GNA#23824
     * Windows installer builds now include the fc_config.h that was used
       to build them, to record how they were built. GNAPATCH#6544


CHANGES FROM 2.5.0 TO 2.5.1
---------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.1>)

   2.5.1 is a bugfix release. Notably, it fixes some long-standing bugs in
   the rules for national borders, and the rules for happiness for very
   large empires.

Server / General

Changes affecting players (supplied rulesets)

     * Fixes to longstanding bugs in border rules:
          + Once a city has claimed a tile within its workable radius,
            that tile cannot be stolen by another nation. (This had been
            broken since 2.3; now the behavior reflects the
            documentation.) GNA#23501
          + Water tiles next to cities and other border sources could
            sometimes remain unclaimed, semi-randomly. Now they are always
            claimed. Update the help to accurately reflect the rules.
            (This had not been working as intended since at least 2.1.)
            GNA#23503 GNAPATCH#5987
     * Angry citizens had been accidentally disabled since 2.4. With most
       supplied rulesets and governments, these were supposed to appear
       when an empire had so many cities that there were no content
       citizens left to become unhappy; now they do. This may
       substantially increase unhappiness in very large empires, even in
       ongoing games. Angry citizens can be disabled by editing the
       ruleset. GNA#23743
     * Fixes to corner cases in the civ2civ3 rules:
          + Ending a turn on Mountains no longer gives a movement penalty
            if the tile has a road. GNAPATCH#6014
          + Prevent building farmland on bare desert terrain, since it
            will provide no bonus. GNA#23609
          + City center tiles benefiting from an automatic farmland bonus
            no longer get the trade bonus from Super Highways, as with
            other farmland tiles. GNA#23610
     * The client could sometimes fail to show some cargo of a transport
       in the unit selection dialog, due to the server not sending correct
       information after reloading a savegame. Thus transports could
       appear to have spare capacity when they didn't. GNA#23444
     * Fix some bugs with unique units (such as Leaders):
          + Actions that transfer units between players didn't have
            sufficient checks. For instance, you could give away a city
            containing your Leader, giving you no Leader and the recipient
            two. (You could then attack the city, losing the recipient the
            game.) GNA#23758 GNA#23691
          + With gameloss_style="Loot" (not in any of the supplied
            rulesets), dying Leader units could be transferred or revealed
            to the conqueror, causing trouble such as the conqueror then
            losing the game. GNA#23676 GNA#23684
     * Maps could be generated with rivers on ocean tiles in some cases.
       GNA#23576
     * When the AI proposed a treaty, it could be sent in such a way as to
       cause the client to pop it up in front of other tabs, obscuring
       end-of-turn activities. GNA#23565
     * Prevent creating and canceling treaties in ways that should be
       illegal between members of the same team (such as withdrawing
       vision), and generally improve checking for illegal pacts.
       GNA#22993 GNA#23421 GNA#23408
     * Fix a corner case where a technology could be granted to a dead
       player due to changing research costs. GNA#23437
     * Fix a possible crash after an air unit automatically returns to
       safety to avoid running out of fuel. GNA#23728
     * Fix a cause of the error message "Trying to update old city",
       although the circumstances and consequences of this bug are
       unclear. GNA#23716
     * Give a reason when failing to create as many AI players as
       requested. (For instance, due to the currently selected nation set
       not having enough nations; the default 'core' set limits games to
       50 players, but more can be created by switching to the extended
       nation set.) GNA#23526 GNA#23621
     * The 'first_timeout' option was broken in various ways. Notably,
       setting it to 0 in pregame caused the first turn to have an
       immediate timeout rather than no timeout; setting 'timeout' or
       'first_timeout' during the first turn could do the wrong thing; and
       the client display of time remaining was incorrect for the first
       turn. GNA#23324 GNA#23724

Changes affecting other rulesets / modders

     * Fix a server crash in rulesets with variable city map radius. This
       could manifest for instance if city radius depends on government.
       GNA#23591
     * An AI with an 'expansionist' trait value less than the default
       never built settlers. GNA#23745
     * AI trait settings modified by Lua script were not correctly loaded
       from savefiles. They were saved correctly, so pre-existing
       savefiles are now loaded correctly. GNA#23564
     * Fix a few remaining cases where a negative value for a boolean
       effect would erroneously enable it: 'No_Diplomacy' and
       'Happiness_To_Gold'. GNA#23364
     * Units' ability to transform terrain is now documented
       automatically. (Supplied rulesets have been updated to reflect
       this, but add-on rulesets may need tweaking.) GNAPATCH#5981
       GNAPATCH#5982
     * Nations without legend text no longer crash the server. GNA#20110
     * Add and improve load-time checks for errors in rulesets and
       tilesets. GNAPATCH#5892 GNAPATCH#5918 GNAPATCH#5985 GNA#23299
     * Update included Lua to 5.2.4. GNAPATCH#5939

Changes affecting server operators

     * Delegation is now correctly case-insensitive with respect to
       usernames. GNA#21744

General

     * In a sequence of unit orders, a unit move that exhausts movement
       points no longer necessarily prevents the next order from occurring
       in the same turn. (But there are currently no go-to-and-do actions
       available to players that do not require movement points to do the
       action, so this has no visible effect.) GNA#23594
     * Memory leak fixes. GNAPATCH#5808 GNAPATCH#5946 GNAPATCH#5989
       GNAPATCH#6030 GNAPATCH#6090 GNAPATCH#6093 GNAPATCH#6140
       GNAPATCH#6169 GNAPATCH#6170
     * Various internal changes which should only affect developers.
       GNAPATCH#6012 GNA#23285 GNA#23703 GNAPATCH#6179

AI

     * The AI overestimated the loss of trade from canceling an old trade
       route when deciding whether to create a new one. GNA#23532
     * The AI may be less likely to abandon its units once loaded onto
       allied transports (including those owned by human players).
       GNAPATCH#6181
     * In the civ2civ3 ruleset, the Cheating AI now gets its cheating
       defense bonus applied on top of the bonus from fortresses and
       airbases. GNA#23370
     * The AI no longer asks to sign a ceasefire if circumstances prevent
       signing any treaty. GNA#23542

Clients

     * In terrain info popups, show the countdown to armistice expiry as
       well as for ceasefire. GNA#23303
     * The city dialog 'Happiness' tab now shows better how changes to the
       number of cities will affect happiness. GNA#23611
     * When the Nations report is sorted by diplomatic status, it is now
       ordered by friendliness rather than alphabetically. GNA#23420
     * The city footprint outline for settler units is now drawn even if
       the map grid is enabled. GNA#23302
     * The front part of bases such as fortresses could fail to be drawn
       if they were on unowned territory. GNA#23418
     * The middle-click popup now shows unit nationality if different from
       its owner. Fix cosmetic issues with display of unit nationality in
       other contexts. GNA#23740
     * Fixes to the 'Turn Done' button behaviour in games with alternating
       turns:
          + The button could be sensitive on first connection even when it
            was not your turn. GNA#21633
          + The button no longer constantly blinks, in clients where
            blinking is supported. GNA#23733
     * Minor improvements to robustness and diagnostics of LAN game
       announcements. GNA#23319 GNAPATCH#5865
     * (Gtk) Add a confirmation when canceling a treaty from the Nations
       report. GNA#23411
     * (Gtk) Prevent the main map window layout jumping about when
       switching between unit stacks of different sizes. (This was
       particularly noticeable with hex tilesets.) GNA#23562
     * (Gtk) Various minor cosmetic changes. GNA#23563 GNA#22676
       GNAPATCH#5957 GNA#22836 GNA#22677
     * (Qt) Add "Establish Trade Route" to menus. GNAPATCH#6054
     * (Qt) Help claimed that mining produced food rather than shields;
       also other typo fixes and text tweaks. GNA#23284 GNA#23282
       GNA#23304 GNA#23557
     * (Qt) Fix a crash when the attached player is under AI control and
       receives a diplomatic meeting request. GNA#23626
     * (SDL) Rulesets with specialists other than the traditional
       entertainer / tax collector / scientist set are now supported.
       GNAPATCH#5868
     * (SDL) Fix a crash and other trouble when changing to a different
       player mid-game. GNA#23540 GNA#23551
     * (SDL) Observers are no longer invited to end their turn. GNA#17703
     * (SDL) After leaving a game, the unit orders icons could remain
       on-screen. GNA#23357
     * (SDL) When a spy sabotaged a specific building, the dialog for
       choosing that building could remain. GNA#23296
     * (Gtk3) When run on a very small screen, the city dialog now has
       more tabs each with less content, to try to fit. GNAPATCH#5958
     * (Gtk3) Map in city dialog is now greyed out when under governor
       control, as for other clients. GNA#22834

Tools

     * Add confirmation when quitting the Qt modpack installer.
       GNAPATCH#6042
     * Improve quit confirmation message. GNAPATCH#6052 GNA#23571
     * The Qt modpack installer window is now resizeable. GNA#23193

Tilesets / Art

     * Added graphics for maglev, inaccessible terrain, and unit costs up
       to 9 to all of the isotrident, isophex, and hex2t tilesets. All
       supplied tilesets now have these graphics. GNAPATCH#5962
       GNAPATCH#5972 GNAPATCH#5980
     * Update Maglev art in the Amplio2 and Cimpletoon tilesets.
       GNAPATCH#5756

Help / Documentation

     * Document that bombardment (as used by e.g. civ2civ3
       helicopters/bombers) damages all units on a tile. GNAPATCH#5822
     * Help for ruleset items more thoroughly documents what other items
       they enable:
          + Buildings enabled by extras (such as "Aqueduct, River" in
            civ2civ3) and nations. GNAPATCH#5984
          + Governments enabled by technologies and nations. GNAPATCH#5813
          + Road types enabled by technologies. GNA#23281
     * Corrections to civ2civ3 ruleset documentation to reflect the actual
       rules:
          + Document the weaknesses of Big Land units (move restrictions
            and indefensibility). GNAPATCH#5823
          + Quantify the work bonus of veteran Engineers. GNAPATCH#5857
          + Nuclear fallout can be generated on oceans, and cleared by
            Transports. GNA#23388 GNA#23428
          + Migrants can clear fallout and build fortresses. GNA#23362
     * Miscellaneous improvements to in-game text and user documentation.
       GNAPATCH#5858 GNA#23346 GNA#23427 GNA#22454 GNAPATCH#5965
       GNAPATCH#5990 GNAPATCH#5988 GNAPATCH#5986 GNA#23397 GNA#23586
       GNA#23263 GNAPATCH#5952 GNAPATCH#6189
     * Miscellaneous changes to developer/ruleset docs. GNA#23391
       GNAPATCH#5948 GNAPATCH#6024 GNA#23783
     * Invisible changes to assist localization. GNA#23333 GNAPATCH#5960
       GNAPATCH#5880 GNA#23539 GNA#23443 GNAPATCH#5838

Translations

     * Updated translations:
          + Complete translations: Spanish, French, British English.
          + Incomplete translations: Finnish (100% core, 87% nations),
            German (100% core, 87% nations), Catalan (99.8% core, 100%
            nations), Polish (97.2% core, 100% nations).

Build/portability

     * Improvements to configure's Qt detection:
          + Make configure checks suitable for Mac OS X. Add new configure
            option --with-qt5-framework-bin. GNA#18200
          + Search in /usr/lib/qt and /usr/include/qt (the latter is
            required for Arch Linux). GNAPATCH#5919
          + If a Qt installation is explicitly specified with
            --with-qt5-includes / --with-qt5-libs, don't look elsewhere.
            GNA#23348
     * Fix compilation of the Qt client with --disable-nls. GNA#23415
     * If the user does not specify a client, configure now prefers
       building the Qt client to the SDL or Xaw clients. GNAPATCH#6050
     * Fix clang warnings. Freeciv can now be built warning-clean with
       clang-3.7. GNA#23483
     * Look harder for a nullptr definition; fixes warnings from clang on
       Mac OS X. GNA#23414
     * Fix some warnings from GCC 5 and cppcheck. Freeciv can now be built
       warning-clean with gcc-5.1. GNAPATCH#5994 GNAPATCH#6092
     * Check for __VA_ARGS__ handling at configure time, giving a less
       obscure error when attempting to use a compiler that does not
       implement the behavior we rely on (such as tcc). GNAPATCH#6033
     * Compressed scenarios no longer embed a timestamp, fixing a
       complaint from reproducible-builds infrastructure such as Debian's.
       GNAPATCH#6175
     * Fix failure to compile when Postgres support was enabled. GNA#23549
     * Minor corrections to .desktop files. GNAPATCH#5938 GNAPATCH#5940


CHANGES FROM 2.5.0-RC2 TO 2.5.0
-------------------------------

   For those who've been trying the betas, these are the changes since the
   last release candidate, 2.5.0-RC2:
     * Added graphics for civ2civ3's Internet wonder. GNAPATCH#5806
       GNA#23379
     * Updated localizations: Spanish (98.6% core, 97.2% nations),
       Japanese (93% core, 94% nations), Irish (46% core, 59% nations).
     * Tweak network protocol developer documentation. GNAPATCH#5908


CHANGES FROM 2.5.0-RC1 TO 2.5.0-RC2
-----------------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.0-RC2>)

   Since RC1 there have been some bugfixes and improvements:
     * When autosettlers were considering improving terrain, their
       thoughts could accidentally be sent to the client, so the client
       would display tiles with the wrong terrain temporarily. GNA#23286
     * Various bugfixes to the Qt client:
          + Changing ruleset caused the Qt client to crash. GNA#23322
          + Changing tileset could cause the Qt client to crash and other
            misbehavior. GNA#23326 GNA#23327
          + Fix some black-text-on-black-background tooltips. GNA#23325
          + Avoid scrollbars in the city production popup on Windows.
            GNA#23032
     * Clients failed to display unit nationality. GNA#23311
     * Fix a remaining crash in the Gtk2 client if the tileset is changed
       with the science dialog open. GNA#22625
     * An empty 'startunits' setting will now be rejected rather than
       causing a crash. GNA#23346
     * The Austrian nation was not being localized. GNA#23309
     * Updated Trident tileset with support for new game elements: lake,
       maglev, unit upkeep >2, unit activity icons, plus extras for
       modpacks (outpost, airstrip, aluminum, uranium, saltpeter,
       elephant). GNAPATCH#5856 GNAPATCH#5877
     * Fix minor misalignment of some city food/production/trade numbers
       in many supplied tilesets. GNA#23332
     * Other very minor tweaks to Cimpletoon and Amplio2 graphics.
       GNAPATCH#5855
     * Correct comment about gnuwin package used for Windows builds to
       match actual RC1 build. GNATASK#7887
     * Minor update to README.ruleset_civ2civ3 description of defense
       bonuses. GNAPATCH#5860
     * Invisible changes to assist localization. GNAPATCH#5854
     * Updated translations: Catalan (complete), Finnish (95.6% core, 87%
       nations).


CHANGES FROM 2.5.0-beta2 TO 2.5.0-RC1
-------------------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.0-RC1>)

   As well as the usual bugfixes, the civ2civ3 ruleset has had a number of
   rule changes to balance gameplay. The online help for civ2civ3 has been
   completely rewritten; it's worth a read even if you've already read
   through it, as some important rules were not documented. This release
   also fixes several serious crashes in the Windows packages.

Server / General

Changes affecting players (supplied rulesets)

     * Changes to the civ2civ3 rules:
          + The Tribal government no longer gives a bonus to movement
            (this was too powerful, and confused the AI). Instead it
            increases the chances of gaining veterancy from combat, and
            martial law that pacifies 2 citizen per unit. GNA#22621
            GNAPATCH#5763
          + Sun Tzu's War Academy no longer increases the chance of
            veterancy from combat. GNA#23206
          + Changes to terrain-related rules: GNAPATCH#5564 GNA#23275
               o Forest can be mined to Grassland; transformation now
                 yields Hills.
               o Irrigation time for Swamp reduced.
               o Deep Oceans now produce 1 food rather than none.
               o Harbors and Offshore Platforms can now be built adjacent
                 to Lake and Deep Ocean tiles, as well as Ocean.
          + Transports can no longer gain veterancy by cleaning pollution.
            Engineers' chances of veterancy from work are reduced.
            GNA#23290
          + Cities now get their extra defense bonus at size 9 rather than
            8, thus requiring an Aqueduct. The risk of fire starts at size
            9 also. City map icons updated to match. GNAPATCH#5764
            GNAPATCH#5800
          + Explorers and Partisans see an extra tile; Partisans are now
            granted based on citizen nationality rather than city's
            original owner. GNAPATCH#5544
          + Crusaders no longer cause military unhappiness (to match
            Fanatics). GNAPATCH#5543
          + A.Smith's Trading Co. now has no effect during a Communist
            government; previously in this situation, buildings with
            upkeep 2 were free of upkeep. GNA#23205
          + Simplify production waste rules: the unlikely case of a
            Communist or Federation government without knowledge of Trade
            no longer leads to extra waste. GNAPATCH#5814
     * Changes to bombarder units (such as bombers and helicopters in
       civ2civ3):
          + Rule change: neither attacker nor defender can gain veterancy
            from bombardment. GNAPATCH#5835
          + Bug fix: attempting to move into an empty city with a
            bombarder now moves, rather than bombarding. GNA#20956
     * Changes to the experimental rules:
          + Caravan is no longer obsoleted by Freight; while slower, it
            can travel on more terrain than Freight. GNAPATCH#5791
          + Copy trade route rules from the classic ruleset (maximum trade
            routes varies depending on technology). GNAPATCH#5735
     * Fix trouble receiving future tech from Darwin's Voyage in the
       multiplayer ruleset. GNA#23264 GNA#23231
     * Cosmetic: the multiplayer ruleset (which doesn't support trade
       routes) no longer displays cities as having "0/4" trade routes.
       GNA#23253
     * In the civ2 ruleset, Fanatics are now free of upkeep under a
       Fundamentalist government; the free shield upkeep under that
       government has been reduced from 10 to 8. GNAPATCH#3505
     * Barbarian nations are no longer granted partisans from city capture
       in any supplied ruleset. GNAPATCH#5454
     * Changes to supplied scenario maps:
          + Various changes to small and large Earth maps, including more
            starting positions, increased player limits, and removal of
            non-default settings. GNAPATCH#5487
          + Reduce default number of players in France and North America
            scenarios so that nations matching the scenario start
            positions will be used with the core nationset. GNA#21350
          + Fix a terrain glitch in the France scenario. GNA#23273
     * With the new 'fair island' map generator, generated terrain
       resources were ineffective. Saving and reloading the game fixed
       this. GNA#22981
     * In rulesets where the maximum number of trade routes can vary, a
       city with more trade routes than the current maximum could not
       change them. Now, a single new trade route that would yield more
       than several of the current ones and bring the number of routes
       within the new maximum can be established. GNA#22243
     * Prevent team-mates from withdrawing shared vision from each other.
       GNA#22992 GNAPATCH#5472
     * Fix some bugs with visibility of unit movement: GNA#23030
          + If one of your nuclear units exploded over an enemy city, you
            could be left with an apparent immovable 'ghost' missile over
            the city.
          + Players witnessing paradrops through shared vision could fail
            to see the unit.
     * When a technology or similar effect increased city vision radius
       (such as Electricity in civ2civ3), the benefit was not immediately
       applied to existing cities. GNA#23254
     * When an enemy pillages a vision-granting base such as a buoy, the
       base is now removed from the victim's view of the map. GNA#22863
     * When a disaster causes loss of production progress in a city, close
       some loopholes that allowed recovery in some circumstances.
       GNA#23218

Changes affecting other rulesets / modders

     * script.lua is now evaluated before default.lua, so that rulesets
       can pre-empt signal handlers set by by default.lua (currently
       "hut_enter" and "city_lost"). GNA#23101
     * Previously, only completion of a mine would cause units on adjacent
       tiles to check whether they could complete their activity (because
       it could prevent new irrigation in supplied rulesets). This check
       has been extended to all terrain-altering activities. GNAPATCH#4656
     * Logic that picks a good defender unit for a city now looks at the
       ruleset's BadCityDefender flag, rather than assuming that sea units
       have that flag and others do not. GNAPATCH#4838
     * If a ruleset triggered an effect off the "disaster" Lua signal, the
       game engine would still emit the message "We survived the disaster
       without serious damages", which could be inappropriate. This
       message has now been removed. GNA#22082
     * Fix a few cases where a negative value for a boolean effect would
       erroneously enable it: 'Fanatics' (GNA#23142), 'Unit_No_Lose_Pop'
       (GNA#23180), and 'Tile_Workable' (GNA#23266).
     * Fix possible AI confusion in rulesets with sea units with native
       bases. GNAPATCH#4836
     * More robustness against invalid rulesets. GNA#23107
     * Apply patch 3 to the included Lua 5.2.3. GNAPATCH#5839

Changes affecting server operators

     * The --identity option now affects LAN announcements as well as
       metaserver announcements. GNAPATCH#5436
     * The /mapimg delete all command did not always delete every
       definition. GNA#23095
     * Server tab completion for save file names did not allow .xz
       compressed savegames. GNA#23105
     * Log any failure to save a game. GNAPATCH#5739
     * Fix a possible server crash on quit. GNA#22996

General

     * Change the networking code on Windows to hopefully resolve "bind
       failed" errors when starting the server. GNA#22448
     * Fix a bug that could cause incorrect interpretation of non-ASCII
       characters in descriptions of nations in the extended set
       (nationset=all). GNA#23159 This is believed to be the root cause of
       client crashes on Windows in certain non-English locales with the
       extended nations. GNA#22638
     * Some optimization for speed, particularly on the server, some as a
       result of profiling analysis. GNAPATCH#5633 GNAPATCH#5632 GNA#23093
       GNAPATCH#5778
     * Memory leak fixes. GNA#23169 GNA#23171 GNA#23170 GNA#23174
       GNA#23173 GNAPATCH#5740 GNA#23221 GNA#23208 GNA#23209 GNAPATCH#5741
       GNAPATCH#5749 GNA#23226 GNA#23234 GNA#23257
     * Various internal changes which should only affect developers.
       GNAPATCH#5429 GNA#22850 GNAPATCH#5460 GNAPATCH#5473 GNA#22977
       GNAPATCH#5453 GNAPATCH#5491 GNAPATCH#5579 GNA#23089 GNAPATCH#5653
       GNAPATCH#5682 GNAPATCH#5659 GNA#23292 GNA#23167 GNAPATCH#5711
       GNAPATCH#5722 GNA#23172 GNAPATCH#5752 GNAPATCH#5775 GNAPATCH#5780
       GNAPATCH#5779 GNAPATCH#5777 GNAPATCH#5817 GNA#23268

AI

     * The AI now treats players it has never met as potentially hostile;
       this should make it harder for human players to sneak forces into
       place before first diplomatic contact. GNAPATCH#5441
     * The city the AI has nominated to build wonders is now permitted to
       build defensive units instead if necessary. GNAPATCH#5588
     * The AI could continue trying to build worker units in inappropriate
       situations, such as where the population cost would cause a city to
       disband. GNA#22972
     * AI players could be prevented from ever making any new treaties by
       failing to remove clauses from an existing failed treaty. This
       particularly affected diplomacy between AI players. GNA#20761
     * The AI now better understands worker/settler units that cost more
       than 1 city population to build (as in the civ2civ3 ruleset).
       GNAPATCH#5440
     * Fix possible AI crashes in rulesets with ocean cities. GNA#23046
       GNA#23227 GNA#23230 GNA#23250
     * Changes to the 'Cheating' AI level:
          + It now costs 20% more to incite cities belonging to the
            'Cheating' AI level to revolt. GNAPATCH#5743 GNAPATCH#4754
          + The civ2civ3 ruleset was missing some of the standard bonuses
            for the 'Cheating' AI. GNAPATCH#5811
     * In servers with the threaded AI built in but not in use, a message
       queue would silt up causing unbounded memory and CPU use. GNA#23146
     * With the threaded AI, terrain improvement tasks assigned by cities
       were never dealt with. GNA#23079 GNA#23081
     * For AI developers: a new configure option --with-ai-lib forces the
       default AI code to be built in for use by a custom AI, even if none
       of the supplied AIs are being built. GNAPATCH#5447

Clients

     * New features and bugfixes in the Qt client:
          + Added on-line help. GNA#23009 GNA#23052 GNAPATCH#5546
            GNAPATCH#5747 GNAPATCH#5748
          + Add bulk selection criteria to the city report. GNA#23033
          + Added 'Save' and 'Leave game' options. GNA#23011 GNA#23097
            GNAPATCH#5600
          + Ask for confirmation to exit. GNA#23062
          + Can now change government by clicking on the main map
            government icon. GNAPATCH#5762
          + Menu option for unit to help build wonder. GNA#23100
          + Bug fix: city names with non-ASCII characters were displayed
            incorrectly. GNA#23007
          + Bug fix: city dialog claimed city was celebrating when it was
            not. GNAPATCH#5552
          + Bug fix: changing tileset did not fully refresh the science
            dialog. GNA#22935
          + Replaced some icons to fix a licensing issue. GNA#23094
            GNA#23213
          + Other minor cosmetic tweaks. GNAPATCH#5760
          + The Windows installer included some unneeded cruft and is now
            smaller. GNA#23057
     * The client could crash if the tileset was changed with the science
       dialog open. GNA#22625
     * Area selection mode for cities (right-click-and-drag) now works in
       games with national borders disabled. GNA#23058
     * Some speedups to map drawing. GNAPATCH#5449 GNAPATCH#5450
     * Improve diagnostics for unknown client-specific command-line
       options. GNA#23035
     * (Gtk2) On Windows, the Gtk2 client could crash whenever windows
       were moved or resized. GNA#23022
     * (Gtk3) Fix a consistent crash on some systems whenever a city
       dialog is opened (for instance, when founding the first city).
       GNA#21942
     * (Gtk3) The Turn Done button now blinks if you are the last player
       to finish a turn in a multiplayer game. GNA#23269 (This
       functionality has theoretically been present in all clients, but
       has been more or less broken forever. It now takes into account
       disconnected players. GNA#23277)
     * (Gtk3) Make opening page work better on small screens. GNA#21028
     * (Gtk3) Clicking "Show All Cities" in the Goto/Airlift dialog could
       cause all cities to be focused in turn. GNA#20624
     * (Gtk) Minor visual tweaks. GNAPATCH#5456 GNAPATCH#5455 GNA#20772
       GNAPATCH#5776
     * (SDL) It was not possible to withdraw shared vision from someone
       you were at war with. GNA#23210
     * (SDL) Correct shortcut key label for transform (to 'O' instead of
       'M'). GNA#23162
     * (SDL) Fix a possible crash if font loading fails. GNA#23195
     * The Xaw client is now considered unmaintained. GNAPATCH#5504
       GNAPATCH#5793 GNAPATCH#5792

Tools

     * Fix several serious bugs in the Qt modpack installer that made it
       largely unusable, especially on Windows. GNAPATCH#5488 GNA#23067
       GNA#23141 GNA#23029 GNAPATCH#5706
     * Fix error messages and possible crashes from modpack installers on
       Windows. GNA#22966
     * Fix possible bugs when closing the modpack installer. GNA#23055
     * Accept GUI-specific command-line arguments. GNA#23102

Tilesets / Art

     * Better support for the civ2civ3 ruleset:
          + Tilesets can now provide distinct graphics for Tribal and
            Federation governments and the Internet wonder. GNAPATCH#5804
            GNAPATCH#5801
          + All supplied tilesets now have graphics for all civ2civ3
            elements except the Internet. GNAPATCH#5486 GNA#20030
            GNA#23134 GNAPATCH#5805
     * Extra graphics and fixes in the Cimpletoon and Amplio2 tilesets:
          + Icons for unit upkeep above 2, to support rulesets where
            that's possible. Notably, this makes more obvious the
            longstanding behaviour that the multiplayer ruleset's
            Fundamentalism government has food upkeep 3. GNAPATCH#4486
            GNAPATCH#5784
          + Distinct icons for all unit activities. GNA#20032
            GNAPATCH#5840
          + "Outpost" and "airstrip" graphics for use by third-party
            rulesets (intended for Fortress and Airbase precursors).
            GNAPATCH#5027 GNAPATCH#5816 GNAPATCH#5841
          + Minor glitch fixes. GNAPATCH#5282
     * The Trident tileset now has graphics for Maglev. GNAPATCH#5598
     * The Cimpletoon and Trident tilesets now have Inaccessible terrain
       graphics. GNAPATCH#4160 GNA#23135
     * The editor 'road' tool now has a proper icon. GNA#20536

Help / Documentation

     * The help for the civ2civ3 ruleset has been substantially reworked
       and expanded. GNAPATCH#4936 GNA#23255 GNAPATCH#5831 GNA#23278
       GNAPATCH#5799
     * Unit help is now more specific about which terrain improvement
       actions units can do. GNAPATCH#5774 GNAPATCH#5783 GNAPATCH#5006
       GNAPATCH#5797
     * Miscellaneous improvements to in-game text and user documentation.
       GNA#23039 GNAPATCH#5645 GNA#23197 GNAPATCH#5515 GNA#23074 GNA#23204
       GNAPATCH#5751 GNAPATCH#5759 GNAPATCH#5761 GNA#23239 GNA#23240
       GNAPATCH#5782 GNA#23241 GNA#23214 GNA#23252 GNAPATCH#5809 GNA#22294
     * Miscellaneous changes to developer/ruleset docs. GNAPATCH#5128
       GNAPATCH#5477 GNA#23163 GNA#23145 GNA#23144 GNA#23200 GNAPATCH#5723
       GNAPATCH#5744
     * Invisible changes to assist localization. GNAPATCH#4762
       GNAPATCH#5758 GNAPATCH#5807 GNA#23280 GNA#23274

Translations

     * Updated translations:
          + Complete translations: French, Russian, British English.
          + Incomplete translations: Polish (97.7% core, 100% nations),
            Catalan (96.3% core, 100% nations), Finnish (93% core, 87%
            nations), Japanese (84% core, 92% nations).

Build/portability

     * Fix failure to build twice in a row due to missing mkinstalldirs.
       GNA#22773
     * Improve diagnostic if configure fails to find pkg-config
       (previously it was erroneously warning about libcurl). GNA#23133
     * The shipped Windows installer Makefile is now compatible with the
       environment that is used to build the Windows installers. GNA#23246
       GNAPATCH#5845


CHANGES FROM 2.5.0-beta1 TO 2.5.0-beta2
---------------------------------------

   (from <http://www.freeciv.org/wiki/NEWS-2.5.0-beta2>)

   Highlights of this release are a new map generator, a basically
   complete Qt client, and a large number of bug fixes.

Server / General

Changes affecting players (supplied rulesets)

     * New map generation features ported from warserver:
          + 'Fair' island map generator ('generator=fair'), which creates
            an identical island for each player or team. GNAPATCH#5146
            GNA#22562 GNA#22564 GNA#22572 GNAPATCH#5179 GNA#22605
            GNA#22904 GNA#22906 GNAPATCH#5409
          + New server setting 'teamplacement', allowing control of
            whether team-mates start near each other on the map.
            GNAPATCH#5145
     * Barbarian players no longer get a free Palace when they conquer a
       city. (This was a recent regression, only introduced in beta1.)
       GNA#22340
     * When a city is struck by plague, it now cannot grow again in the
       same turn. GNA#22803
     * When following orders into fogged territory, a unit will now abort
       its orders if it runs into an unexpected unit or city on its last
       step (rather than blindly attacking, etc). GNA#20618
     * When there are multiple possible transports for a unit to load
       onto, the server is cleverer about choosing one. Among other
       criteria, idle transports are preferred, as are those from which
       units can unload at any time. This preference order is now used in
       more circumstances. GNAPATCH#4982 GNAPATCH#5367
     * Numerous fixes to research in games with teams:
          + With team_pooled_research enabled:
               o Technology cost now takes into account effects from all
                 players in the team; previously it was picking a random
                 player for Novice AI science penalty, cost reduction from
                 embassies in civ2civ3, etc. GNAPATCH#5098
               o Similarly, tech upkeep now takes into account all players
                 in a team. GNAPATCH#5099 Notably, in the civ2civ3
                 ruleset, upkeep scales with the total number of cities in
                 a team, not those of a random team member. GNA#22158
               o If a technology is lost, all team members share the
                 effects (such as losing their government), and all
                 clients can see that the tech is lost. GNA#21935
               o All clients are kept up to date with accurate progress of
                 current research. GNAPATCH#5100 GNAPATCH#5185 GNA#22705
          + With team_pooled_research disabled: only one player per team
            was getting the free techs given at the start of the game
            (e.g., with the 'techlevel' setting). GNA#22522
     * Other fixes to tech loss:
          + There was a small chance of technology not being lost when it
            should have been. GNA#22576
          + The server's count of a player's technologies was not reduced.
            This could cause technology cost to be too high and have other
            bad effects. GNA#22579
          + Ruleset effects that survived the global loss of a technology
            (such as wonder obsoletion) did not survive a save/reload
            cycle. GNA#22909
     * Fixes to rulesets with root requirements in their technology tree,
       such as the experimental ruleset:
          + Research could fail to pick the next technology toward a
            faraway goal. GNA#22789
          + Fix general slowness (sometimes extreme) in such rulesets.
            GNA#22159 GNAPATCH#5357 GNA#22876
     * Tech upkeep cost was slightly larger than intended. GNA#22912
     * Fix numerous problems with visibility of unit movement and
       destruction:
          + Fix bugs that could leave a 'ghost' unit visible in clients,
            such as land units alone in the sea (GNA#22600):
               o If a foreign unit was briefly visible loading onto a
                 transport.
               o If a barbarian unit reached the end of its life while on
                 a transport.
          + Fix trouble when a city is transferred, particularly by
            diplomatic treaty. GNA#20705
          + Transported units or those in cities could fail to be revealed
            when entering an alliance. GNA#20726 GNA#22851
          + Fix some bugs and error messages related to visibility of
            foreign units loading and unloading from transports.
            GNAPATCH#4912
          + An assertion could fail when foreign transports moved out of
            sight. GNA#22852
          + Fix client error "Server wants us to remove unit" when
            witnessing the defeat of a cargo-carrying transport in a game
            with 'killstack' disabled, or in complicated alliance breakup
            situations. GNA#22721 GNA#22795
          + Fix some bugs related to visibility of units moved or killed
            as a result of other units' movement, for instance by a
            ruleset script; and show unit movement in more cases where
            units move into or out of visibility. GNA#22765 GNA#22853
          + Fix some cases where unit information was not sent correctly
            to global observers. GNA#22764 GNAPATCH#4973
     * Units were spuriously prevented from moving from one transport to
       another. GNA#22380
     * 'unitwaittime' now applies to exploding nuclear units in place as
       well as to regular attacks. GNA#22838
     * Investigating an empty city that was previously known to contain
       units mistakenly displayed the former units as still
       present/supported. GNA#22498
     * When the 'foggedborders' server option was enabled, border
       information was not included in map transfers between players.
       GNA#22497
     * Fix a server crash when paradropping. GNA#22391 GNA#22479
     * Fix a possible server crash when a diplomat is killed after bribing
       a unit. GNA#22762
     * Fix a possible assertion failure from autosettlers. GNA#22345
     * Fix some assertion failures when changing player (for instance in
       edit mode). GNA#19848
     * Fix bugs with taking AI players and entering/leaving AI or 'away'
       mode: GNA#22716 GNAPATCH#5046
          + Taking an AI player could leave the player with invalid tax
            rates.
          + Putting a player who'd previously been /away under full AI
            control could leave them with the conservative 'away' skill
            level rather than a proper AI skill level.
          + AI state was not set up and cleared correctly when changing
            '/away' mode. For the classic AI, this could lead to incorrect
            defense calculations.
          + 'autotoggle' and 'aitoggle' now work for barbarian players (as
            'away' did before). GNA#22724
     * Minor fixes to civ2civ3 ruleset corner cases:
          + You can no longer sell your Aqueduct after building a Sewer
            System and still have your city grow. GNA#22804
          + Triremes starting their turn in coastal river cities missed
            out on the Lighthouse move bonus. GNA#22438
          + Barbarian players without a capital no longer suffer crippling
            corruption and waste. GNA#22330
          + Prevent Transport units from performing land terrain
            improvements while in cities. GNA#22417
          + Ensure that cold war and related effects survive destruction
            of Apollo Program and/or Manhattan Project. GNA#22805
          + Treat Solar Plants as redundant with the Hoover Dam. GNA#22434
     * Fixes to the multiplayer ruleset:
          + Ensure notifications are sent out about new technologies
            gained from Philosophy or Darwin's Voyage. GNA#22783
            GNAPATCH#5355 GNAPATCH#5358 GNA#22827
     * In the classic and experimental rulesets, close a loophole where a
       Lighthouse and Port Facility together could yield hardened sea
       units. (This would have required a very unusual game.) GNA#22081
     * Prevent diplomacy with barbarian players in the civ1 and civ2
       rulesets (in civ1, it was possible to attempt treaty with pirates
       but not barbarians). GNA#22727 GNA#22728
     * Map generation fixes:
          + When map generation leads to a change in settings, announce
            the fallback settings afterwards. If multiple attempts are
            required to generate a map, reset these settings between each
            attempt. GNAPATCH#5180
          + The 'tilesperplayer' setting is now enacted more accurately.
            GNAPATCH#5187
          + Remove spurious assertion failures about MAP_MAX_LINEAR_SIZE
            when generating large maps. GNA#19429 GNA#22640
     * For the purposes of credit in the rank log, any user detaching from
       a player (even an observer) was resetting the username used for
       ranking. For now the ranking rules have been reverted to those used
       up until 2.3.2. GNA#22458
     * Fixes to voting:
          + Do not call votes which will immediately pass (for instance if
            a user is alone on a server). GNAPATCH#5181
          + Fix incorrect vote information displayed in a client which
            connects while a vote is in progress. GNA#22566
     * The 'surrender' command now does additional sanity checks.
       GNA#22622
     * Fix display of team names. GNA#22394
     * Silence some warnings when loading games saved with previous
       versions:
          + Spurious "City size and number of citizens does not match"
            warnings from 2.4 default ruleset games. GNA#22360
          + "Trying to put <number> into 8 bits" warnings from pre-2.3
            savegames. GNA#22364

Changes affecting other rulesets / modders

     * When upgrading a unit which has the NoVeteran flag (cannot gain
       veteran levels through experience), any existing veteran levels are
       no longer discarded. GNA#22425
     * The server now handles the case of a city being destroyed while
       being transferred (which is most likely to happen as a result of a
       Lua script). GNA#18191
     * If team_pooled_research is enabled, the tech_researched script
       signal is now sent to all players on a team, not just one of them.
       GNA#22474 GNAPATCH#5430 GNA#22782
     * Lua scripts can determine whether two players share research with
       the new (Player):shares_research() function. GNAPATCH#5408
     * Calling (Tile):has_base() in Lua with a nonexistent base name could
       crash the server. GNA#22341
     * Clients were not always kept up to date after a Lua script called
       (Tile):set_label(). GNA#19962
     * Extra sanity checking when loading rulesets. GNAPATCH#4972
     * Apply patch 2 to the included Lua 5.2.3. GNAPATCH#5307

Changes affecting server operators

     * On Unix, the server could fail to start again shortly after
       quitting, dying with "bind failed: Address already in use". This
       was a regression from 2.4. GNA#22702
     * Comments are now only accepted at the start of a server command
       line, allowing a '#' character to be entered in commands. GNA#16864
     * Servers built with support for multiple database backends could
       only use one of them. GNA#20723
     * The event cache can now store much more history. GNA#18742
     * Some of the settings in server scripts written by the '/write'
       command did not take effect, because the 'rulesetdir' command at
       the end was resetting settings set earlier in the script. GNA#22447
     * When the server was in edit mode, detached clients could receive
       unwanted packets and emit warnings. GNA#21468
     * Creating a player midgame (with /create or Lua script) didn't
       initialize city style and gender correctly. GNA#22832
     * The /create command now validates the AI type argument better.
       GNA#22697
     * When built without readline support, the server could stop
       accepting input after an empty line. GNA#18254
     * More robustness against loading invalid savegames. GNA#22523
       GNA#21327
     * Send more information to metaserver: nation flag tag
       (GNAPATCH#5199) and ruleset name (GNAPATCH#5229).

General

     * Numerous improvements to pathfinding, used for client goto and for
       the AI:
          + Units which will be unable to move next turn but still have
            move points this turn (for instance due to tech loss) are now
            handled correctly. (This could lead to premature nuclear
            explosion in rulesets where nuclear units require extra
            technology to move, such as civ2civ3.) GNA#22569
          + Fix some possible issues for units with more than one turn of
            fuel, such as bombers. GNAPATCH#4931
          + A collection of general fixes which, together with
            client-specific fixes, we hope will resolve a client crash
            observed on Windows (GNA#21774), and probably fix other bugs
            too. GNAPATCH#5190 GNA#22693 GNA#22756 GNA#22755
          + Other minor fixes and speed improvements. GNA#22636 GNA#21938
     * Already-built wonders are now dismissed when considering what
       players can ever build. This affects the client city UI and may
       also affect AI behavior. GNA#22667
     * Fix a bug which could cause strings to contain invalid/truncated
       UTF-8 sequences. GNA#22885
     * Fix/improve diagnostic messages in error cases, notably including
       network failures. GNA#22481 GNA#22503 GNA#22462 GNA#22706 GNA#22729
       GNA#22282 GNAPATCH#5371
     * Fix a possible crash when an --enable-debug build tried to print a
       very deep backtrace. GNA#22854
     * Some optimization for speed, particularly on the server, some as a
       result of profiling analysis. GNAPATCH#4933 GNAPATCH#5154
     * Memory savings and leak fixes. GNA#21552 GNA#22582 GNA#22583
       GNA#22586 GNA#22587 GNA#22584 GNA#22589 GNA#22590 GNA#22626
       GNA#22670 GNA#22627 GNA#22629 GNA#22630 GNA#22631 GNA#22632
       GNAPATCH#5123
     * Various internal changes which should only affect developers.
       GNAPATCH#5000 GNA#22413 GNAPATCH#5091 GNA#21543 GNAPATCH#5111
       GNAPATCH#5092 GNAPATCH#5144 GNAPATCH#5095 GNAPATCH#5167
       GNAPATCH#5120 GNAPATCH#5182 GNAPATCH#5267 GNA#22809 GNAPATCH#5381
       GNAPATCH#5298 GNA#22824 GNAPATCH#5192 GNAPATCH#5299 GNAPATCH#5297
       GNAPATCH#5296 GNA#22781 GNAPATCH#5411 GNAPATCH#5418 GNA#22955
       GNAPATCH#5127

AI

     * The AI can now take into account the defense value of existing
       bases when picking a site for a new city. GNA#22079
     * The AI now counts the pillaging of any fortress it owns against the
       responsible player, even if that caused it to lose the territory on
       which the fortress stood. GNA#22445
     * The AI was undervaluing units defined as good defenders in the
       ruleset, and overvaluing 'OK' defenders. GNA#22617
     * The AI was undervaluing cities in various ways for the purpose of
       diplomatic treaties. GNA#22436
     * The AI now considers the effect of the 'diplcost' setting when
       evaluating the value of a gold transfer clause in a treaty.
       GNAPATCH#5399
     * The AI's evaluation of improvement benefits was broken in the
       presence of effect clauses with zero value in the ruleset. (Should
       not affect most rulesets, but may sometimes occur when testing a
       new ruleset.) GNA#22363
     * Some fixes to the AI's evaluation of benefits in rulesets using
       negated requirements. Does not affect the supplied rulesets.
       GNA#22399
     * Fix some possible crashes with the threaded AI. GNA#22344
       GNAPATCH#5328
     * Allow threaded AI to be built in without classic AI. GNA#22529

Clients

     * The Qt client is now substantially complete, with many features
       added since beta1.
     * The Windows Gtk client is built against a different Gtk version,
       fixing major problems in East Asian locales, including inability to
       use the chatline and other text boxes, and failure to display the
       online help. GNA#21038 GNA#22607
     * Fix a longstanding bug in the Gtk client that could make it
       impossible to select a new government. GNA#18764
     * The client now supports loading a save file from the command line
       directly, with the --file command line option. GNAPATCH#3180
     * The 'Explode Nuclear' command is now more careful; previously, if
       the nuclear unit was unable to reach the specified destination (or
       move at all), it would explode regardless (this could happen due to
       'unitwaittime', due to another bug). Also, the command now supports
       setting waypoints. GNA#21934 GNA#22624 GNA#22722
     * Various fixes to client goto. (Some of these may resolve a client
       crash observed on Windows: GNA#21774.)
          + Ignore duplicate waypoints in client goto, and attempts to go
            nowhere. GNAPATCH#5271 GNAPATCH#5191 GNA#22610
          + Improve behaviour if a unit moves or is lost while the user is
            in the middle of specifying a goto. GNAPATCH#5193 GNA#22577
     * Fix client error messages when manipulating units with a zero move
       rate. GNA#22571
     * Some fixes to spy and caravan action dialogs:
          + Some buttons were active when the relevant action was not
            available. GNA#22565 GNA#22592 GNA#22593 GNA#22591
          + (Gtk) When multiple spy action dialogs were active at the same
            time, orders could end up being issued to the wrong unit.
            GNA#21636 GNA#22595
     * Fix a random client crash or error message after selecting 'Connect
       to Network Game'. GNA#22449 GNA#22316
     * Fix a cause of the client starting a server which it then could not
       connect to. GNA#22463
     * Fix error messages and possible instability when the city governor
       is working on a city that has been destroyed. GNA#16438
     * The client could report an incorrect ping time when the real time
       was not yet known. GNAPATCH#5349 GNA#22761
     * Fix some graphical glitches when moving units. GNA#19946 GNA#22770
     * Fix an error message when observing a player who is building a
       spaceship. GNA#22933
     * Map editor fixes and improvements:
          + Make it possible to select a nation for barbarian players.
            GNA#22741 Prevent setting normal players to barbarian and
            other unsuitable nations. GNA#22742
          + Players' research progress can now be edited. GNA#22840
          + Fix bugs in tile copy and paste:
               o Tiles were pasted in completely the wrong place.
                 GNA#21655
               o Copying units could cause assertion failures. GNA#22558
               o The client could remember possibly-invalid tiles from one
                 game to the next. GNA#22553
     * (Gtk) With the 'Help' box checked in the science dialog, technology
       help would pop up randomly at turn end and other times. GNA#19882
     * (Gtk) The apostrophe key now focuses the chatline in pregame (as it
       already did during play). GNA#22429 GNA#22453
     * (Gtk) Fix an assertion failure on quit after opening the Lua
       console. GNA#22431
     * (Gtk3) Clicking on specialists in the city dialog did the wrong
       thing. GNA#22366
     * (Gtk3) Fix a bug causing the chat window to be minimised after
       reconnecting, and assertion failures. GNA#21639 GNA#22673
     * (Gtk3) Various display issues:
          + Fix problems with flag display. GNA#21373 GNA#22457 GNA#22517
          + Fix fog-of-war in some tilesets. GNA#21601
          + Miscellaneous cosmetic tweaks. GNA#22671 GNA#22672
     * (SDL) The SDL client now supports changing nation sets.
       GNAPATCH#4351
     * (SDL) Fix client crash when attempting industrial sabotage of a
       city with no buildings. GNA#22495
     * (SDL) Don't prevent bases from being built on city center tiles in
       rulesets which allow this. GNA#22509
     * (SDL) Fix incorrect background color on some dialogs. GNA#22511

Tilesets / Art

     * The Cimpletoon tileset now includes graphics for the Migrant unit
       in the civ2civ3 ruleset. GNA#20029
     * The maglev graphics in the Amplio2 and Cimpletoon rulesets were
       never displayed. GNA#22371
     * Enable display of mines on water in all supplied tilesets, to
       support modpacks with different mining rules from the supplied
       rulesets. GNA#22424
     * Added a sound effect for an illegal server command to the standard
       soundset. GNAPATCH#5232

Help / Documentation

     * Minor improvements and corrections to civ2civ3 ruleset help.
       GNAPATCH#5008 GNA#22365
     * Minor improvements to help for other supplied rulesets. GNA#22333
       GNA#22419 GNAPATCH#5009
     * Barbarian nations were omitted from the online help. GNA#22603
       GNAPATCH#5331
     * Fix a large number of assertion failures when running the
       freeciv-manual tool. GNA#22347
     * Miscellaneous improvements to in-game text and user documentation.
       GNA#21550 GNA#22405 GNA#22416 GNAPATCH#5012 GNA#22427 GNA#22430
       GNAPATCH#5016 GNAPATCH#5032 GNA#22513 GNA#22623 GNA#22637
       GNAPATCH#5314 GNA#22825 GNA#22823 GNA#22846 GNA#22869 GNAPATCH#5388
       GNAPATCH#5389 GNAPATCH#3907 GNA#22847
     * Miscellaneous changes to developer/ruleset docs. GNA#22444
       GNAPATCH#5183 GNAPATCH#5252 GNAPATCH#5356 GNAPATCH#5374 GNA#22793
       GNA#22848 GNAPATCH#5412 GNAPATCH#5423
     * Invisible changes to assist localization. GNA#22303 GNA#22415
       GNAPATCH#5045 GNA#22551

Translations

     * Updated translations:
          + Complete translations: French.
          + Incomplete translations: Polish (99.9% core, 100% nations),
            Catalan (99.5% core, 100% nations), British English (98.4%
            core, 100% nations), Finnish (89% core, 87% nations), Scottish
            Gaelic (88% core, 84% nations), German (88% core, 84%
            nations).

Build/portability

     * Fix some compiler warnings. Build is now Clang-clean (with 3.3,
       3.4, and 3.5). GNAPATCH#4957 GNA#21386 GNA#22872 GNA#22886
       GNA#22887 GNA#22889 GNA#22895 GNA#22894 GNA#22916 GNA#22915
     * Fix compiler invocation to avoid a warning about -fopenmp from
       Clang. GNA#21493
     * Better diagnostics for failure to build the Qt client (particularly
       in the absence of a usable C++ compiler). GNA#22784
     * Fix compilation with Glib older than 2.32. GNA#22467
     * Fix a possible failure to find SDL headers at configure time.
       GNA#22879
     * Fix failure to build twice in a row due to missing mkinstalldirs.
       GNA#22773
     * New configure options --with-desktopdir and --with-appdatadir for
       finer control of installation locations. GNAPATCH#5047
     * Add search keywords to .desktop files. GNA#21573
     * The --enable-fcweb configure option is not yet useful in 2.5, so
       remove it. GNA#22696
     * The outdated 'vms' directory is no longer distributed.
       GNAPATCH#5313
